version: '3.1'

services:

  my_mongo:
    image: my-mongo
    restart: always
    # ports:
    #   - 27017:27017
    expose:
      - 27017
    environment:
      MONGO_INITDB_ROOT_USERNAME: valuser
      MONGO_INITDB_ROOT_PASSWORD: valuserpass
    volumes:
      - ${HOME}/mongo_container/data/:/data/db

  mongo_express:
    image: mongo-express
    restart: always
    ports:
      - 8081:8081
    environment:
      ME_CONFIG_BASICAUTH_USERNAME: test
      ME_CONFIG_BASICAUTH_PASSWORD: test
      ME_CONFIG_MONGODB_ADMINUSERNAME: valadmin
      ME_CONFIG_MONGODB_ADMINPASSWORD: rolercoaster
      ME_CONFIG_MONGODB_SERVER: my_mongo

  backend_flask:
    image: backend-flask
    expose:
      - 8084

  proxy:
    image: nginx
    ports:
      - 80:80
      - 8084:8084
    volumes:
      - ./nginx.conf:/etc/nginx/conf.d/default.conf
      - ./src/frontend_vue/dist:/srv/dist

